pappso::PeptideModificatorInterface Class Referenceabstract

`#include <enzymeproductinterface.h>`

Inheritance diagram for pappso::PeptideModificatorInterface:

## Public Member Functions

virtual | ~PeptideModificatorInterface ()
virtual void | setPeptideSp (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const PeptideSp &peptide_sp, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme)=0
| function to give the products of modifications for a digested peptide More...

## Detailed Description

Definition at line 64 of file enzymeproductinterface.h.

## Constructor & Destructor Documentation

## ~PeptideModificatorInterface()

virtual pappso::PeptideModificatorInterface::~PeptideModificatorInterface | ( |  | ) |

inline virtual

Definition at line 67 of file enzymeproductinterface.h.

{};

## Member Function Documentation

## setPeptideSp()

virtual void pappso::PeptideModificatorInterface::setPeptideSp | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const PeptideSp & | peptide_sp,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme
| ) |  |

pure virtual

function to give the products of modifications for a digested peptide

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was initialy digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | Peptide object containing sequence and possible modifications
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implemented in pappso::PeptideVariableModificationReplacement, pappso::PeptideVariableModificationBuilder, pappso::PeptideModificatorTee, pappso::PeptideModificatorPipeline, and pappso::PeptideFixedModificationBuilder.

Referenced by pappso::PeptideBuilder::setPeptide(), pappso::PeptideFixedModificationBuilder::setPeptideSp(), pappso::PeptideModificatorPipeline::setPeptideSp(), pappso::PeptideVariableModificationBuilder::setPeptideSp(), and pappso::PeptideVariableModificationReplacement::setPeptideSp().

The documentation for this class was generated from the following file:

- pappsomspp/protein/enzymeproductinterface.h